@ECHO OFF
CLS
@TYPE ..\EXE\wait.zas

ECHO text > C:\ARFA_TMP\zp.tmp
IF EXIST C:\ARFA_TMP\zp.tmp GOTO run
MKDIR C:\ARFA_TMP
ECHO text > C:\ARFA_TMP\zp.tmp
IF NOT EXIST C:\ARFA_TMP\zp.tmp GOTO empty

:run
DEL C:\ARFA_TMP\zp.tmp >nul
@..\EXE\0zrp 0 ..\CONTROL //F:150 //E:0 //TEMPPATH:'C:\ARFA_TMP' //SWAPPATH:'C:\ARFA_TMP'
IF ERRORLEVEL 89 GOTO end
IF ERRORLEVEL 88 GOTO mYEAR
GOTO end

:empty
..\EXE\0zrp 0 ..\CONTROL //F:150 //E:0
IF ERRORLEVEL 89 GOTO end
IF ERRORLEVEL 88 GOTO mYEAR
GOTO end

:mYEAR
IF ERRORLEVEL 89 GOTO end
IF NOT EXIST ..\BNEW\0newyear.bat GOTO end
CALL ..\BNEW\0newyear.bat
rem удаляется в prin.nw0

:end